> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-google-workspace-action-examples.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Latest Custom Analysis Result

> GetLatestCustomAnalysisResult returns the authenticated user's latest
 accepted custom analysis result, if one exists.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/role-mining/custom-analysis/latest
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/role-mining/custom-analysis/latest:
    get:
      tags:
        - Role Mining
      summary: Get Latest Custom Analysis Result
      description: |-
        GetLatestCustomAnalysisResult returns the authenticated user's latest
         accepted custom analysis result, if one exists.
      operationId: >-
        c1.api.role_mining_management.v1.RoleMiningManagementService.GetLatestCustomAnalysisResult
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.role_mining_management.v1.GetLatestCustomAnalysisResultResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: GetLatestCustomAnalysisResult
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RoleMiningManagement.GetLatestCustomAnalysisResult(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetLatestCustomAnalysisResultResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.role_mining_management.v1.GetLatestCustomAnalysisResultResponse:
      description: The GetLatestCustomAnalysisResultResponse message.
      properties:
        result:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.role_mining_management.v1.CustomAnalysisResultView
            - type: 'null'
      title: Get Latest Custom Analysis Result Response
      type: object
      x-speakeasy-name-override: GetLatestCustomAnalysisResultResponse
    c1.api.role_mining_management.v1.CustomAnalysisResultView:
      description: >-
        CustomAnalysisResultView is a lightweight summary of a past custom
        analysis run.
      properties:
        cohortSize:
          description: Number of users in the cohort.
          format: int32
          type: integer
        completedAt:
          format: date-time
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        createdByUserId:
          description: User who created this analysis, empty for legacy results.
          type: string
        errorMessage:
          description: Error message if the analysis failed, empty on success.
          type: string
        id:
          description: Unique identifier for this custom analysis result.
          type: string
        profileFilters:
          description: Profile filters that defined the cohort for this analysis.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.ProfileFilter'
          type:
            - array
            - 'null'
        status:
          description: >-
            Execution status of this analysis (e.g., running, completed,
            failed).
          enum:
            - RUN_STATUS_UNSPECIFIED
            - RUN_STATUS_RUNNING
            - RUN_STATUS_COMPLETED
            - RUN_STATUS_FAILED
          type: string
          x-speakeasy-unknown-values: allow
        suggestionsGenerated:
          description: Number of role suggestions generated.
          format: int32
          type: integer
        supersededByResultId:
          description: Newer result that superseded this analysis, when applicable.
          type: string
        terminalReason:
          description: Structured terminal reason, unspecified for legacy results.
          enum:
            - CUSTOM_ANALYSIS_TERMINAL_REASON_UNSPECIFIED
            - CUSTOM_ANALYSIS_TERMINAL_REASON_ERROR
            - CUSTOM_ANALYSIS_TERMINAL_REASON_SUPERSEDED
          type: string
          x-speakeasy-unknown-values: allow
      title: Custom Analysis Result View
      type: object
      x-speakeasy-name-override: CustomAnalysisResultView
    c1.mcp.role_mining.v1.ProfileFilter:
      description: |-
        ProfileFilter defines a filter on a user profile attribute.
         Use GetOrgOverview to discover available attribute keys and their values.
      properties:
        attribute:
          description: The attribute field.
          type: string
        values:
          description: The values field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Profile Filter
      type: object
      x-speakeasy-name-override: ProfileFilter
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````